Bug 1418012 - [abrt] synergy: synergys killed by SIGSEGV
Summary: [abrt] synergy: synergys killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: synergy
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3eb0d91f48a7345edbad5e19843...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 15:32 UTC by Brian J. Murrell
Modified: 2017-12-12 10:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:34:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (35.85 KB, text/plain)
2017-01-31 15:32 UTC, Brian J. Murrell
no flags Details
File: cgroup (310 bytes, text/plain)
2017-01-31 15:32 UTC, Brian J. Murrell
no flags Details
File: core_backtrace (3.91 KB, text/plain)
2017-01-31 15:32 UTC, Brian J. Murrell
no flags Details
File: dso_list (4.65 KB, text/plain)
2017-01-31 15:32 UTC, Brian J. Murrell
no flags Details
File: environ (1.82 KB, text/plain)
2017-01-31 15:32 UTC, Brian J. Murrell
no flags Details
File: exploitable (122 bytes, text/plain)
2017-01-31 15:32 UTC, Brian J. Murrell
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-31 15:32 UTC, Brian J. Murrell
no flags Details
File: maps (77.96 KB, text/plain)
2017-01-31 15:32 UTC, Brian J. Murrell
no flags Details
File: mountinfo (10.05 KB, text/plain)
2017-01-31 15:32 UTC, Brian J. Murrell
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-31 15:32 UTC, Brian J. Murrell
no flags Details
File: open_fds (706 bytes, text/plain)
2017-01-31 15:32 UTC, Brian J. Murrell
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2017-01-31 15:32 UTC, Brian J. Murrell
no flags Details
File: var_log_messages (306 bytes, text/plain)
2017-01-31 15:32 UTC, Brian J. Murrell
no flags Details

Description Brian J. Murrell 2017-01-31 15:32:11 UTC
Description of problem:
Maybe this package needs updating to the latest upstream release?

Version-Release number of selected component:
synergy-1.7.6-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        synergys -f --config /home/brian/.quicksynergy/synergy.conf
executable:     /usr/bin/synergys
global_pid:     10861
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 ??
 #1 ClientProxy1_6::handleClipboardSendingEvent at /usr/src/debug/synergy-1.7.6-stable/src/lib/server/ClientProxy1_6.cpp:69
 #2 EventQueue::dispatchEvent at /usr/src/debug/synergy-1.7.6-stable/src/lib/base/EventQueue.cpp:271
 #3 EventQueue::loop at /usr/src/debug/synergy-1.7.6-stable/src/lib/base/EventQueue.cpp:129
 #4 ServerApp::mainLoop at /usr/src/debug/synergy-1.7.6-stable/src/lib/synergy/ServerApp.cpp:764
 #5 ServerApp::runInner at /usr/src/debug/synergy-1.7.6-stable/src/lib/synergy/ServerApp.cpp:811
 #6 App::run at /usr/src/debug/synergy-1.7.6-stable/src/lib/synergy/App.cpp:118

Comment 1 Brian J. Murrell 2017-01-31 15:32:17 UTC
Created attachment 1246340 [details]
File: backtrace

Comment 2 Brian J. Murrell 2017-01-31 15:32:18 UTC
Created attachment 1246341 [details]
File: cgroup

Comment 3 Brian J. Murrell 2017-01-31 15:32:19 UTC
Created attachment 1246342 [details]
File: core_backtrace

Comment 4 Brian J. Murrell 2017-01-31 15:32:21 UTC
Created attachment 1246343 [details]
File: dso_list

Comment 5 Brian J. Murrell 2017-01-31 15:32:22 UTC
Created attachment 1246344 [details]
File: environ

Comment 6 Brian J. Murrell 2017-01-31 15:32:22 UTC
Created attachment 1246345 [details]
File: exploitable

Comment 7 Brian J. Murrell 2017-01-31 15:32:23 UTC
Created attachment 1246346 [details]
File: limits

Comment 8 Brian J. Murrell 2017-01-31 15:32:25 UTC
Created attachment 1246347 [details]
File: maps

Comment 9 Brian J. Murrell 2017-01-31 15:32:26 UTC
Created attachment 1246348 [details]
File: mountinfo

Comment 10 Brian J. Murrell 2017-01-31 15:32:27 UTC
Created attachment 1246349 [details]
File: namespaces

Comment 11 Brian J. Murrell 2017-01-31 15:32:28 UTC
Created attachment 1246350 [details]
File: open_fds

Comment 12 Brian J. Murrell 2017-01-31 15:32:29 UTC
Created attachment 1246351 [details]
File: proc_pid_status

Comment 13 Brian J. Murrell 2017-01-31 15:32:29 UTC
Created attachment 1246352 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 15:26:44 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:34:52 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.